{
  inputs = {
    nixos-vscode-server = {
      type = "github";
      owner = "nix-community";
      repo = "nixos-vscode-server";
      inputs = {
        nixpkgs.follows = "nixpkgs";
      };
    };
    nixpkgs = {
      type = "github";
      owner = "NixOS";
      repo = "nixpkgs";
      ref = "nixos-24.11";
    };
    nixpkgs-unstable = {
      type = "github";
      owner = "NixOS";
      repo = "nixpkgs";
      ref = "nixos-unstable";
    };
    cosmic-modules = {
      type = "github";
      owner = "lilyinstarlight";
      repo = "nixos-cosmic";
    };
  };
  outputs = inputs: import ./outputs.nix {
    inherit inputs;
  };
}
